﻿define z = Character ('Zangoose', image='zangoose', who_color="#ce1526")
define h = Character ('Houndour', image='houndour', who_color="#ec3915")
define H = Character ('Houndoom', image='houndoom', who_color="#ab0d0d")

define slowFade = Fade(1, 0, 1)

image lickloop:
    "cg/lick/frame12.png"
    0.13
    "cg/lick/frame1.png"
    0.13
    "cg/lick/frame2.png"
    0.13
    "cg/lick/frame3.png"
    0.13
    "cg/lick/frame4.png"
    0.13
    "cg/lick/frame5.png"
    0.13
    "cg/lick/frame6.png"
    0.13
    "cg/lick/frame7.png"
    0.13
    "cg/lick/frame8.png"
    0.13
    "cg/lick/frame9.png"
    0.13
    "cg/lick/frame10.png"
    0.13
    "cg/lick/frame11.png"
    0.13
    repeat
    
image houndour naked neutral flip = im.Flip("houndour/naked/neutral.png", horizontal=True)

label start:

    scene bg ocean with slowFade
    $ renpy.pause (2.0)
    
    show zangoose naked neutral with easeinleft
    "The sun shone brightly above my head, the relaxing winds of the tropical sea bring the lovely salty and unique smell of the ocean."
    "Far on the horizon, a small green island full of life; and inside, my first objective."
    "I didn’t think it would be this difficult to get here, it seemed simple enough when i first read it."

    show extra letter at truecenter with easeintop 
    "{i}\"My boat got caught on a storm and now i’m stuck on a deserted island. Please send help!\"{\i}"
    "The letter came with a map attached, detailing the location of the tiny island I was about to venture myself in."
    hide extra with easeoutbottom

    "This job didn’t pay much. The expenses, however, had been high and the travel here was very extenuating."
    "Regardless of that, this was my first mission as the founder (and currently only member) of Zangoose’s rescue team, there’s no way i could let this opportunity pass by."
    "Arceus himself could come by and I would politely (ok maybe not politely) tell him to go fuck himself."
    "Not only because I’m not going back empty handed, but because there’s someone out there in dire need of help. I can’t just leave them here because the place is hard to reach."
    "If someone needs me, I’ll be there."

    "I soon arrived at the shore and found myself  in an island full of green life (actual trees, not grass type pokemon)."

    hide zangoose with easeoutleft
    show extra sailing at truecenter with easeintop
    "Not wanting to waste any time, i put on my scarf; it’s kinda hot outside, but i don’t wanna go on a mission without it. This scarf is the proof I’m on a rescue team, even though wearing clothing makes me feel stuffy"
    "Putting it around my neck and my bag over my shoulder, I got out of the boat and felt the sand in my feet for the first time. Looking up to the massive wilderness ahead of me I puffed my chest proudly."
    
    show zangoose scarf happy with easeinleft
    z scarf happy "Don’t worry bud, rescue is coming."
    hide extra with easeoutbottom
    "And with that I entered the tropical forest."
    hide zangoose with easeoutleft

    show bg river with slowFade

    "The air was humid and hot, water and mud dirtied my white fur as I slashed my through the wilderness looking for the lost pokemon, a…. actually, I don’t know, but it doesn’t matter. The island is supposed to be deserted, so anyone i find is the one i must find."
    "It is weird however, that they didn’t say who they were. They were probably too desperate to be rescued from this lonely island."
    "As the sun began to set, the sound of rushing water caught my attention."

    show zangoose scarf neutral with easeinleft
    "It was getting late and I was pretty far from the boat, sleeping by a river was probably a good idea."
    "I slashed some plants and leaves and found myself in the view of a beautiful waterfal full of sparkling fresh water"
    "But that didn’t matter to me in the slightest, what mattered was the Houndour sitting on a rock underneath the waterfall."
    "I had found my objective."

    "Not wanting to scare him, I called him from afar."

    z scarf happy "Hey buddy!"

    show houndour naked neutral with easeinright
    "His ears perked and he looked back at me with an unreadable expression."

    h naked neutral "Are you the rescuer?"
    "He didn’t sound that ecstatic of seeing me here, but that didn’t bother me in the slightest."

    z scarf happy "That I am, and I’m here to rescue you!"
    h naked displeased "You took a long time to get here"

    "The way he said that did hurt a bit, but i didn’t let it show"
    z scarf happy "Yeah, it was sort of a hassle."
    z scarf neutral "But what matters is that I’m here and you are safe"

    "I began to walk my way towards him, as I got closer I began to notice a few scars around his body."
    "For how long was he waiting here? It must have taken month for the letter to get to me."

    "I entered the water and sluggishly moved my way towards the houndour, reaching the rock he was sitting on after a while."
    "He must need some help to get out of there, he’s a fire type after all."

    z scarf happy "Do you need any help?"
    "I asked offering him my paw."

    "He eyed me curiously for a few seconds before mouthing a quick \"No\" and expertly leaping over the river into solid ground."
    "That was impressive. But why didn’t he do that before I got all wet?"

    z scarf neutral "You are a good jumper"
    "I said as i slowly walked my way back to land."

    h naked neutral "My hips and legs are quite strong, I exercise them a lot."
    z scarf neutral "Oh that’s good, exercising is good."
    h naked neutral "Yeah, I get the necessity to use them a lot"
    z scarf neutral "You jump and run a lot?"
    h naked neutral "No"

    "That’s weird, if he doesn’t run or jump then why does he need strong legs?"
    "How does he even get exercise in the first place?"
    "Perhaps he does a lot of squats, one needs to find things to do when you are on a lonely island."
    "He kept intently watching me as i got out of the water, it was starting to make me a bit uncomfortable."

    h naked ok "Tell me"
    "His deep voice made me get out of my self consciousness"
    h naked ok "Did you come here alone?"

    show zangoose scarf displeased
    "I didn’t like the tone of that, i hoped he didn’t think i wouldn’t be able to save him because it was only me."
    z scarf neutral "Yeah, I’m alone. But I’m prepared for anything. I have supplies here in my bag, and there’s plenty more in my boat."

    show houndour naked ok
    "He smiled, his hazel eyes glistening for a second before lifting his head and let out a loud piercing howl through the sky, almost giving me a heart attack in the process."

    z scarf displeased "Why in the name of Arceus did you do that?!"
    h naked ok "To alert the others of course" 
    "He replied as if it was the most normal thing in the world."
    h naked ok "Can’t have you escaping now can we?" 
    
    "Escaping? Escaping from what? What is going on here? Aren’t we supposed to be alone?"
    "I could suddenly hear the sound of rustling leaves all around me. Perhaps this place wasn’t as deserted as i initially thought."

    show pleft behind zangoose with easeinleft
    show pright behind zangoose with easeinright
    "Many pokemon began to appear out of the wilderness. Of many species and types, both big and small, but mostly big, and the cocks each of them sported told me they were all male."
    
    hide houndour
    show houndoom naked neutral with easeinright 

    H naked neutral "Seems that you managed to be decent at something else than breeding my crew, son."
    "Said a scary looking houndoom in an equally scary voice, as he sat down besides houndour. Who I’m assuming is his son, and not in need of rescuing whatsoever."

    z scarf displeased "What is going on? What is all of this?!" 
    "I was starting to freak out. The looks of these guys, their menacing expressions, their scarred bodies, their ragged clothing, and the boners most of them were sporting made unsettling chills run through my spine."

    H naked neutral "He doesn’t get it yet." 
    "Said the Houndoom mockingly to his crew"
    H naked neutral  "Aren’t these land bitches cute?" 
    "They all began to laugh, their voices booming around me as I realized what just happened, this asshole called me a bitch."

    z scarf displeased "What did you just call me?!" 
    "I screamed as my ears ringed and my blood boiled."
    "At that, they all stopped laughing and started growling, quickly taking battle stances and looking at the Houndoom, waiting for his confirmation to attack me."
    "Meanwhile he just looked at me with his piercing black eyes that burned my flesh, or maybe he was using some fire attack i didn’t know about. Either way, he was obviously pissed, and if he told this guys to attack me I was done for. "

    H naked angry "Seems to be the little bitch doesn’t know his place just yet"
    "he smirked"
    H naked neutral "Pangoro! Why don’t you grab him so we can check him up? Perhaps that way he’ll start learning how he should behave."

    "I looked to my sides quickly, trying to find the pangoro. There's no way I'd be able to fight him, but perhaps I could evade him if I saw him coming. But I didn't. I found him when he had already grabbed me by my arms and lifted me up. "
    "I struggled against his hold, using my legs to kick his big stomach. But it was all useless. He could keep both of my arms tied up with one of his big hands, and my kicking only managed to get some annoyed grunts out of him."

    z scarf displeased "Let me go!"
    H naked neutral "Now, why would I do that?"
    " I looked down to see the Houndoom smirking at me. He knew he was the one in control here."
    H naked angry "I don't take disrespect lightly. You are lucky you are worth more alive, i would have killed you already if you weren't."

    "Worth more alive? What are they planning to do to me?"
    z scarf displeased "What do you want from me?"
    H naked neutral "For you to make this easy so we don't waste time. It's getting late and it's a long trip so I don't want to deal with troublesome cargo"
    z scarf displeased "If you think I'm going to let you take me that easily you are very wrong!"
    H naked neutral "Oh but you see, you kinda have no choice"
    "He said smugly"
    
    H naked neutral "If you could look down you would notice that big ol’ Pangoro here has a thing for smaller pokemon. He loves having tight little cocksleeves to breed. Don't ya’ Pangoro?"
    "The big bear rumbled against me, using his free paw to gently rub my belly. He did seem to like me. The vibrations would've been relaxing if I didn't suddenly feel something warm, wet and huge rubbing against my backside."
    "I begged to Arceus above that that was not his penis against my butt, but i don’t think he would listen to me after my comment earlier. "


    scene cg hold with slowFade
    $ renpy.pause ()
    z scarf displeased "I - is that?"
    H naked neutral "His dick? Yes, it is. Big, don't you think?" 

    "Big didn't exactly cut it"
    H naked neutral "As I said before, Pangoro likes smaller pokemon and you fall right on his radar."
    H naked neutral "The poor guy hasn't fucked anything in more than six months. And him being a good ol’ friend of mine, I couldn't deny him to take you as a toy if you are not going to behave like good cargo."
    "I could feel the massive organ rubbing against my backside, how it pulsed in rhythm with his powerful heart. How the warm liquid slowly leaked from the tip to try and prepare me for my breeding. How his pulse began to race and his warm breath hit against my head."
    "He wanted me, whether as a toy or as a partner, he wanted to have sex with me. And he was doing nothing to hide it."
    "But from how his hold loosened, and he pulled me slightly away from his member, i could tell he wanted me to be at the very least consenting if anything was to be done."
    "But i could just be imagining all of this and he could just be embarrassed, that was equally possible."

    "I looked all around me, desperately trying to find a solution to this. There must have been a way out, a route i could take to scape."
    "Maybe i could find a way to get free from Pangoro’s grip, a way for me to distract them and run away; get on my boat and get the hell out of here… But there were none to be found." 
    "I hung my head in defeat. My first mission had been a complete failure, i had been captured by pirates with no way to fight back."
    "I shouldn’t have been so careless, i should have at least have tried to get a companion to come into this mission; but no. I rushed in alone, thinking i could take it and just look where that got me."
    "I stopped fighting all together, opposing them right now would be useless. I had to wait for a better opportunity, i had failed now, but that didn’t mean i would stop trying."

    H naked neutral "Seems to be the bitch has some brains after all." 
    "Said Houndoom all smug"
    H naked neutral  "Get him to the ground so we can check on him" 

    scene bg river with slowFade
    "Very gently, as I’ve actually come to expect from him, Pangoro puts me on the ground. Pressing my back against the grass and holding my arms to keep me in place."
    "From this position i could look up to see that he was in fact still hard. His long and thick dick still excited and expecting, throbbing and leaking all over the place, but at the very least he kept it away from my face so it wouldn’t fall on me."
    "I liked believing that it was because of decency."

    show zangoose scarf displeased with easeinleft
    z scarf displeased "What are you going to do now?"
    "I said looking over my belly at the slowly approaching houndoom."  


    scene cg pinned with slowFade
    $ renpy.pause ()
    "He walked on top of me, his heavy weight keeping me from moving an inch. He stopped right at my face and lowered his muzzle to look at me in the eye."
    "With a quick, single movement he tore my scarf off my neck."
    
    H naked neutral "Now, bitch, I'm going to check the goods." 
    "He backed off"
    H naked neutral "Pangoro, make sure he doesn't move." 
    "What did he mean by checking the goods? I didn't know, but i was sure I wouldn't like it. "  
    
    
    scene cg lick frame11 with slowFade
    $ renpy.pause ()
    H naked neutral "Don't worry, little bitch." 
    "He said showing his sharp teeth that were dangerously close to my crotch "
    H naked neutral "You are going to love this"
    
    scene lickloop
    $ renpy.pause ()
    "That's all the warning I got before he lowered his mouth to my lap and I felt something warm and wet gently rubbing against my sheathed cock. Lapping at my tip and wetting my balls. Houndoom was licking me."
    "My face and ears turned red in an instant as Houndoom’s skillful tongue rolled against my privates expertly, drawing unwanted moans out of my mouth."
    "I willed myself to not get hard at the teasing, but my body did not obey, the pleasure from the pokemon’s being too much for me as my blood rushed to my groin."

    scene cg erect with fade
    $ renpy.pause ()
    H naked neutral "Sensible... that's good." 
    "I could feel his hot breath against my excited dick"
    H naked neutral "And doesn't seem to mind being a bit forced. Yes, he's going to be perfect."
    "At that he bit my inner thigh, making me let out a loud moan as my hips buckled up. Everything he did to me just felt too good, and i hated my body for enjoying it."
    
    "\"You should check his ass if you plan on getting something, they don't like it if they fight and I'm pretty sure he will\"" 
    "Said a recognizable voice to my left, Houndour. "

    show houndour naked neutral flip with easeinleft
    "I looked to my right to see him sitting a few meters away, watching me intently, yet seemingly bored."
    "His eyes caught mine, and for the smallest of moments I could have sworn his small ears went down, but it must have been a trick of my eye."

    show houndoom naked angry with easeinright
    H naked angry "I know what I'm doing kid. So just shut up" 
    "Houndoom responded, his voice a bit more hoarse than before. "

    h "What if he doesn't like having his ass played with? They pay more for the ones that don't fight." 
    H naked angry "You don't see him fighting now, do you?"
    "I certainly wasn't. My body felt like it was on fire, and those licks from Houndoom didn't help in the slightest."
    h "Of course he wouldn't fight, what man doesn't like to have his dick played with? And if you didn't notice, he stopped fighting so that Pangoro wouldn't break his ass in two." 
    "I heard the faintest of whines coming from the bear at that comment."
    h "But I suppose you'd be to focused on licking his dick to notice it."
    H naked angry "Watch your mouth!"
    "Houndoom said snarling next to my still leaking member. His hot breath fanning against my cock making me shiver in delight and somehow forget how easily he could bite me."
    h "Just check in case he doesn't like it so we know if we have to break him or not." 
    "I didn't like the sound of that \"breaking\" thing. Whatever it was, it didn't sound pleasing in the slightest. "
    
    hide houndoom with easeoutright
    hide houndour with easeoutleft

    "Houndoom humphed and lowered his head, and with just that a brand new wave of sensations rocketed through my body as he once more moved his warm tongue against my expecting shaft."
    "The skillful muscle wrapped around my head and moved all the way down to my balls, coating them in saliva and precum."
    
    "Houndour looked at my eyes, and his ears flattened for a second again."
    
    show extra licks at truecenter with easeintop 
    "Standing up he walked to my side and lowered his head, looking at me with an unreadable expression before following his father's steps and licking my neck. Making the situation all the more pleasurable, yet problematic."
    "Both hounds sent immense pleasure all over my body. Moans and gasps escaped my mouth as Houndour slowly made his way from neck to my chest, his teeth grazing and nibbling at my pecs."
    "My back arched as for a few moments as Houndoom engulfed my dick into his mouth, the warm cavern sucking me in as his tongue expertly moved up and down my shaft. "
    "I closed my eyes, it was all I could do. My body shamelessly reacted to each and every one of their ministrations."
    "My dick leaked as Houndoom moved his mouth around it, and my back arched as Houndour expertly worked my upper body. My breath came out ragged, and my heart felt like it was going to rip out of my chest at any moment as both pokemon teased me to no end."
    "They owned my body at this moment, they could do with me as they wished and I couldn't possibly oppose for at long as they touched me like this."
    "I tried to find some way to fight them. But as soon as I thought I had gotten a grip of myself, there was was a new lick over my tip, a bite along my thighs, a nibbling at my chest or a kiss against my neck that gave them both full control of my body."
    "I could feel Houndoom going a bit more south than before, wetting places previously left dry."
    "The underside of my balls felt a brand new mixture of cold and warm sensations as the pirate moved his tongue around it. Leaving my tip to cool off against the cold breeze of the river, making it twitch as my back shivered in pleasure."
    
    hide extra with easeoutbottom
    
    show zangoose naked displeased with easeinleft
    z naked displeased  "W-what are y-you *ahh~* going to do?"
    "I asked as Houndoom nibbled my buttcheecks."

    show houndoom naked neutral with easeinright
    H naked neutral "Just checking the goods"
    "Was his only reply before I felt the warm muscle that was his tongue invade me inside, stretching my walls as it made it's way into my ass."
    
    #CG?
    
    hide houndoom with easeoutright
    hide zangoose with easeoutleft

    "I should feel bad, repulsed even. But the way my cock twitched and leaked in excitement was more than enough evidence of how my body really felt. Amazing."
    "My hole tightened and let go. Welcoming the intruding muscle as if it had always waited for it."
    "More lewd sounds came from my mouth as both hounds worked their mouths on my begging body. The hold on my wrist tightening as Pangoro grunted. Was he doing that to hold me or to hold himself?"
    "I looked up at the bear, knowingly showing off my neck for Houndour to ravish as much as his father is doing with my ass. Pangoro’s eyes were darker than before, if that’s possible. I could see the big muscles tensing as if he was under the same pressure as me."
    "A moan crashed through my throat as Houndoom found himself in the unexplored depths of my body, making me close my eyes and arch my back once more."
    "My head trashed from side to side as the pirate’s tongue found a point inside my hole that not even I had been able to reach before. It forced my eyes open as my pleasure rose to new heights. I knew what this was, I just never thought it would feel this good."
    "My eyes found Pangoro once more. My view of his face was hazy, just like everything else."
    "My body felt too overwhelmed to make out the details. But I could clearly see the way one of his big arms had moved it’s way to his crotch and began to move back and forth, the sound of slapping flesh somehow audible to my ears through the sound of our moans."
    "His deep grunts just adding more to my overwhelmed body."
    "I could feel the buildup, the unmistakeable pressure on my groin that signaled just how close I was "

    show zangoose naked displeased with easeinleft
    z naked displeased "Please… stop" 
    "I begged" 
    z naked displeased "I can’t take it anymore" 
    "I was going insane, my control over my body long gone."

    show houndour naked neutral with easeinright
    h naked neutral "No can do, furball" 
    hide houndour with easeoutright
    "Answered Houndour as he rolled his tongue through my chest and up my neck, before moving up to my ear and whispering"
    "\"Just let go\""
    
    scene cg pinned kiss with slowFade
    $ renpy.pause ()
    
    "Those were his words before he brushed his mouth against mine, sliding his tongue in and exploring everything it had to offer."
    "That was my last straw. That simple kiss, my first kiss, became my point of no return. And with Houndoom pushing his own tongue deep between my legs, and Pangoro grunting and moaning above me, I came."
    "My back arched and I moaned against Houndour’s mouth as line after line of white warm cum came out flying from from my tip and up to my chest."
    "My dick went to overdrive as my balls tightened up against me, causing incredible pleasure to go running through my whole body. "
    "Houndour let my mouth go, leaving me gasping for air I didn’t really know i needed."
    
    scene cg pinned cumming with slowFade
    $ renpy.pause ()
    
    "At the same time, Houndoom took his tongue out of my ass, much to my body’s dismay, and moved his tongue up to my balls and length, forcing even more release out of my sensitive cock."    
    
    show houndoom naked neutral with easeinright
    H naked neutral "What was that bullshit you were saying about him not liking it up the ass? Just look at this bitch! He is all but begging for more. He did put on a good show tho, eh Pangoro?"
    "I could hear the smugness on his voice, but it was overridden by the sounds of slapping meat and deep grunting."
    "I looked up to the bear once more to see he had actually changed position. He was no longer holding my hands, but instead had straightened his hand and was vigorously rubbing his cock in front of me."
    "The view of his bulbous head capturing my eyes as pre continued to leak on the grass in front of me. I would have gulped if I wasn't gasping for air."
    H naked neutral  "C’mon Pangoro, he's all but begging for it. Look, he even opened his mouth for you to cum in. You aren't going to let that slide now, are ya?" 

    hide houndoom with easeoutright
    "The words coming from the hound seemed to make something click inside the bear. He came closer to me, no longer caring about how his clear precum was now leaking all over me."
    "I had no strength to move a single muscle in my body, so all I could do was receive all he gave me. Swallowing some of the salty liquid that made it's way into my mouth."
    "It was far less disgusting than I anticipated, in fact, I found it… delectable. "
    "My throat felt so dry and parched, any liquid at this time felt like an oasis. So without thinking, I used what little strength I had on my body to lift my head and lick the glistening drops of pre from the bear's dick in hopes of drinking as much as I could."
    "This sent the bear into a frenzy, as he produced a deep growl before pressing his leaking head against my muzzle and roughly rubbing his large cock."
    "I couldn't control my body, as it once more disobeyed me and went on to press a long lick on the member pressed against it. This tipped the big pokemon over the edge as he grunted and arched his back like I did and shot his warm juices all over my face and body."
    
    scene cg pinned drink with slowFade
    $ renpy.pause ()
    
    "My desperate self just accepted the warm, thick liquid gift that fell over me. Gladly receiving all of the cum that fell into my mouth and diligently swallowing to the last drop as the rest covered most of my exhausted body."

    show houndoom naked neutral with easeinright
    H naked neutral "Look at him swallow all that up, he must be desperate for cock. Maybe we should keep him as a slut instead of selling him, eh guys? What do you say?" 
    "I clearly heard Houndoom say before my ears were covered with the laughter of the other pirates. Except for Pangoro and… houndour."
    
    hide zangoose with easeoutleft
    show houndour naked neutral flip with easeinleft
    h "Don't you think we have enough cock sucking bitches around here? Given that everyone but me and Pangoro is more your less part of your harem."
    "That earned him a growl from the bigger dog. "
    H naked angry "You insolent child! This is my crew and I'll fuck whomever I please!"
    h "I'm not being insolent. But that mentality has lead you to many problems, hasn't it? I mean, you've had a few riots from straight men that don’t take too kindly on being tricked into a ship full of manwhores."
    H naked angry "A ship of which you are part off, remember? "
    h "If we go like that… then yes I'm a manwhore. Like father, like son, am I right?"
    hide houndoom with easeoutright
    hide houndour with easeoutleft

    "All I heard was a deep growl followed by a snarl before the sounds of a battle started consuming my tired ears. As Pangoro lifted me carefully from the ground, I caught a quick glimpse of Houndour pinned to the ground by his father's teeth "
    H naked angry "Go raid his ship!"
    "He barked"
    H naked angry "I'll deal with this runt"
    "And with the knowledge that my ship, my only means of escaping, was going to be destroyed. I fell unconscious as the noise of a wild fight disappeared from my ears and I was carried in the warm embrace of a pirate."
    return
